在云桌面无法安装.NETFramework1.0

发布时间:  2015-06-24 浏览次数:  182 下载次数:  0
问题描述

由于.NETFramework1.0在有更高版本的情况下无法直接安装。而云桌面带有.NETFramework4.0,因此会导致基于.NETFramework1.0的软件无法安装使用。

处理过程

通过网上搜索.NETFramework官方得知.NETFramework几个版本可以共存,

由于判断本机上有没有装某软件一般都是读取注册表来实现了。于是打开注册表发现HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\.NETFramework\v1.0.NETFramework1.0的信息,将v1.0文件夹删掉后可以正常安装.NETFramework1.0

根因

安装高版本的.NETFramework时会在注册表自动生成旧版本的对应文件

解决方案

打开注册表找到HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\.NETFramework\v1.0,将v1.0文件夹删掉后可以正常安装.NETFramework1.0

END